Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdUVSecCoordStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumUVCoords (void)
HRESULT | SetNumUVCoords ([in] RtDWORD dwNumUVCoords)
HRESULT | u ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | u ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v ([in] RtDWORD dwIndex,[in] RtFloat newVal)

## Detailed Description

IRdUVSecCoordStream specifies data stream to texture coordinates index stream (IRdSecUVTriangleStream). The stream is part of IRdMesh and is stored in Custom stream group. Stream is identified by STREAMID_UVCOORDS_COORDINATES_2 id.

## Member Function Documentation

RtDWORD IRdUVSecCoordStream::GetNumUVCoords | ( | void |  | ) |

| Get number of UV coordinates Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVSecCoordStream::SetNumUVCoords | ( | [in] RtDWORD | dwNumUVCoords | ) |

| Set number of UV coordinates Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVSecCoordStream::u | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get U texture coordinate of i-th item Parameters:
  dwIndex | Index item
  pVal | filled with U coordinate after successfull return
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVSecCoordStream::u | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set U texture coordinate of i-th item Parameters:
  dwIndex | Index item
  newVal | U-texture coordinate to set
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVSecCoordStream::v | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get V texture coordinate of i-th item Parameters:
  dwIndex | Index item
  pVal | filled with V coordinate after successfull return
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVSecCoordStream::v | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set V texture coordinate of i-th item Parameters:
  dwIndex | Index item
  newVal | V-texture coordinate to set
Returns: standard HRESULT processing can be applied to returned value